import { DistConfig, CJSConfig, ESMConfig, ModuleFiles, GeneralConfig, BundlerOptions } from '../@types';
declare class Bundler {
    private entryPath;
    private config;
    private generalConfig;
    private bundlerOptions;
    /**
     * @param plugins array of extra plugins to be applied
     * @param config path to user defined build config or the user defined config object
     */
    constructor(generalConfig: GeneralConfig, bundlerOptions: BundlerOptions);
    /**
     * resolves the pattern into a regex object
     *@param {Array|string|RegExp} patterns - array of patterns or string pattern
     *@param {Array} regexStore - array to store regex objects
     */
    private resolveRegex;
    private mergeConfig;
    /**
     * loads the given file and returns the result
     * @param file
     */
    private loadFile;
    /**
     * resolves the config object
     */
    private resolveConfig;
    /**
     * copies the file from the src to the destination
     */
    private copyFile;
    /**
     * parses all files into module targets
     * @param modules
     * @param resolvedPath
     * @param entryFile
     * @param moduleName
     * @param currentRelativeDir
     * @param extensions
     */
    private getModules;
    private getModulesFiles;
    handleWarnings(warning: any): void;
    handleErrors(ex: any): void;
    runBuild(promises: Promise<any>[], moduleFiles: ModuleFiles, config: DistConfig | CJSConfig | ESMConfig): Promise<void>;
    /**
     * runs build process for a specific module
     * @param moduleFiles
     * @param config
     */
    processModule(moduleFiles: ModuleFiles, config: CJSConfig | ESMConfig | DistConfig): Promise<any>;
    /**
     * runs the process
     */
    process(): Promise<void>;
}
export { Bundler };
